Subject: bug#28584: 24.5; Emacs manual: add index entries for `multi-isearch-*' commands

From: Drew Adams <[email-masked]>
Date: Sun, 24 Sep 2017 17:38:13 -0700 (PDT)

> DA> In the Emacs manual, if you use `i multi' then, even
> DA> if you have a way to substring-match index entries,
> DA> you see nothing about using Isearch across multiple
> DA> files or buffers.
> 
> DA> There are these index entries, for example:
> DA>   `multiple-file search and replace'
> DA>   `search and replace in multiple files'
> 
> Maybe I'm misunderstanding, but isn't the second index
> entries just what you wanted to find?

Not sure what you mean by "the second index entries".
Both of the index entries I mentioned go to the same
place - doc about tags search (only).

This is the point: The only index entries that have to do
with searching multiple files are entries for tags search.
There are none for Isearch across multiple files.

For some time now, Isearch has also been able to search
multiple files (and multiple non-file buffers).  But
there are no index entries in the manual for doc about
this feature.  There should be.  Tags search is not the
only way now to search multiple files (and buffers).

The text of both of the index entries I mentioned would
_seem_ to cover both tags search and Isearch.  There
should be separate entries for these very different ways
of searching multiple files.

Fixing that by adding index entries would take care of what
I wrote in the bug Subject line.  But the bug report
mentioned more than that.

My bug report was for Emacs 24.5.  The other part of the
report, beyond adding index entries, was to add doc for the
`multi-isearch-files(-regexp)' commands.  They were not
covered in Emacs 24.5.  Only `multi-isearch-buffers(-regexp)'
were covered (in node `Other Repeating Search').

Trying with Emacs 25.2, I see `multi-isearch-files(-regexp)'
are now covered, so the part of the bug that asks for that
can be ignored.

But in Emacs 25.2 only the same `multi' index entries are
available, and they still take you to doc that says nothing
about Isearch.  Instead of taking you to node `Tags Search'
they now take you to node `Identifier Search' (which is its
replacement).

That changes nothing really for this bug - that node is still
all about (only) tags or xref.  It says nothing about Isearch
across multiple files or buffers.  The kind of "finding" that
is described in node `Identifier Search' is not Isearch.

We should have `multi' index entries for node `Other
Repeating Search'.  And we should have cross-references
between the nodes that deal with these very different ways
to search across multiple files or buffers.

Index entries for searching across files or buffers should
indicate whether they are about Isearch or "identifier"
search.  That's the first thing.  The second thing is to
add xrefs between the nodes that cover these very different
kinds of search.